Page MenuHomePhabricator

create item link on Special:Search assumes ordinary wikitext pages
Closed, ResolvedPublic

Description

When searching on Special:Search, a suggestion is given to create a new page with the given search term if an exact match is not found.

e.g. 'Create the page "Berlin" on this wiki!'

https://test.wikidata.org/w/index.php?title=Special:Search&profile=default&search=Prague&fulltext=Search&uselang=es

It is possible to disable this via a hook it items are in the main namespace. On Wikidata (in some languages), the message is set to an empty message so nothing appears.


Version: master
Severity: minor
Whiteboard: u=dev c=frontend p=0 papercut

Details

Reference
bz56032

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz56032.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Oct 23 2013, 1:44 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 12:22 PM

Change 232017 had a related patch set uploaded (by Ricordisamoa):
Bail out when trying to "create" entity pages

https://gerrit.wikimedia.org/r/232017

I went for TitleQuickPermissions instead of SpecialSearchCreateLink since the former seemed broader in scope.
Anyway it'd be fairly easy to switch them as you please.

BTW the message could still be customized as "searchmenu-new-nocreate" (empty by default).

demon removed a subscriber: demon.Aug 23 2015, 3:59 PM

Change 232017 merged by jenkins-bot:
Bail out when trying to "create" entity pages

https://gerrit.wikimedia.org/r/232017

Ricordisamoa set Security to None.
Ricordisamoa removed a subscriber: gerritbot.
daniel closed this task as Resolved.Aug 27 2015, 2:02 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.
daniel added a subscriber: daniel.

Change 349446 had a related patch set uploaded (by Hoo man):
[mediawiki/core@master] Check supportsDirectEditing when suggesting page creation

https://gerrit.wikimedia.org/r/349446

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 21 2017, 3:09 PM

Change 349446 merged by jenkins-bot:
[mediawiki/core@master] Check supportsDirectEditing when suggesting page creation

https://gerrit.wikimedia.org/r/349446